/*-- Slider Start --*/

#slider {
  width: 100%;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  max-height: 32rem;
}

.slide {
  width: 100%;
  display: none;
  animation-name: fade;
  animation-duration: 1s;
}

.slide img {
  width: 100%;
  max-height: 32rem;
}

@keyframes fade {
  from {
    opacity: 0.5;
  }

  to {
    opacity: 1;
  }
}

#dots-con {
  text-align: center;
}

.dot {
  display: inline-block;
  background: #6af1b1;
  padding: 5px;
  border-radius: 0;
  margin: 20px 5px;
  transition: 0.5s ease-in-out;
}

.dotActive {
  background: #6af1b1;
  transform: scale(2);
}

/*-- Slider Ends --*/

/*-- 4 Cards Starts --*/
.cards {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: nowrap;
  align-items: center;
  height: auto;
  padding: 1.8rem 0 4rem 0;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  background-color: #40d3dc;
  height: 60vh;
  width: 23.5%;
  padding: 16px;
  color: #fff;
  text-align: center;
  border-radius: 12px;
  transition: 0.5s ease-in-out;
}

.card:hover {
  transform: scale(1.05);
}

.card-image {
  width: 100%;
  height: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  margin: 2rem;
  /* padding: 2rem; */
}

.card-image img {
  width: 40%;
  margin: 2rem;
}

.card-content {
  height: 25vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card-content h1 {
  font-size: 1.4rem;
}

.card-content h4 {
  font-weight: 400;
}

.card-content a {
  color: #fff;
  font-size: 1.2em;
  text-decoration: none;
  transition: 0.5s all ease-in-out;
}

.card-content a:hover {
  letter-spacing: 0.7px;
  text-decoration: underline;
  font-weight: 500;
  cursor: pointer;
}

.card:nth-child(1) {
  background-color: #22577a;
}

.card:nth-child(2) {
  background-color: #38a3a5;
}

.card:nth-child(3) {
  background-color: #57cc99;
}

.card:nth-child(4) {
  background-color: #61c277;
}

/*-- 4 Cards Ends --*/

/*-- About Section Starts --*/
/* ----------- about ------------  */
.about-page {
  display: flex;
  flex-direction: column;
}

.about {
  display: flex;
  justify-content: space-around;
  width: 100%;
  padding: 5vh 3vh;
  background-color: #e6fdef;
}

.about:nth-child(2) {
  background-color: transparent;
}

.headingMain {
  text-decoration: none;
  color: #000000;
  transition: all 0.5s ease-in-out;
}

.about:hover .headingMain {
  text-decoration: underline wavy 5px;
}

.about-img {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.about-img img {
  width: 60%;
}

.about-content {
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2rem;
}

#section-separator {
  position: relative;
}

#section-separator::before {
  content: "";
  position: absolute;
  bottom: 0;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 150px 100px 0 100px;
  border-color: #e6fdef transparent transparent transparent;
  left: 90%;
  transform: translateX(-50%) translateY(100%);
}
#section-separator-1 {
  position: relative;
}
#section-separator-1::before {
  content: "";
  position: absolute;
  bottom: 0;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 100px 150px 100px;
  border-color: transparent transparent #e6fdef transparent;
  left: 10%;
  transform: translateX(-50%);
}

#section-separator-2 {
  position: relative;
}

#section-separator-2::before {
  position: absolute;
  content: "";
  left: 50%;
  z-index: 10;
  width: 207px;
  height: 162px;
  border-radius: 50%;
  background: inherit;
  transform: translateX(-50%) translateY(30%);
  bottom: 0px;
}

.about-content h1 {
  font-size: 3em;
  padding: 0.7rem 0 3rem 0;
}

.about-content p {
  font-size: 1.2em;
  letter-spacing: 2px;
  text-align: left;
}

.about-content .rightAlign {
  text-align: right;
}

.about-content hr {
  width: 120px;
  height: 2px;
  background-color: #40d3dc;
  border-radius: 10px;
  border: 1px solid #40d3dc;
  margin: 2rem 0;
}

/*-- About Section Ends --*/

/*-- testimonial-section starts --*/
.testimonial {
  height: auto;
}

.container {
  width: 100%;
}

.container h1 {
  font-size: 2.5rem;
  text-align: center;
  padding: 20px 0 0 0;
  margin: 40px 0 0 0;
}

.shadow-effect {
  width: 100%;
  background: #e7fcf3;
  padding: 1.5rem;
  text-align: center;
  border: 1px solid #000000d8;
  border-radius: 20px;
  box-shadow: 0px 0px 20px 1px rgba(0, 0, 0, 0.8);
}

#customers-testimonials .shadow-effect p {
  font-family: inherit;
  font-size: 17px;
  line-height: 1.5;
  margin: 0 0 17px 0;
  font-weight: 300;
  font-style: italic;
  padding: 2rem 0 1rem 0;
}

.testimonial-name {
  margin: -17px auto 0;
  display: table;
  width: auto;
  background: #6af1b1;
  padding: 9px 35px;
  border-radius: 12px;
  text-align: center;
  color: #000000;
  box-shadow: 0 9px 18px rgba(0, 0, 0, 0.12), 0 5px 7px rgba(0, 0, 0, 0.05);
  border: 0.5px solid #000000;
}

.testimonial-name:hover {
  background: #3fcb9c;
  cursor: pointer;
}

#customers-testimonials .item {
  text-align: center;
  padding: 50px;
  opacity: 0.2;
  transform: scale3d(0.8, 0.8, 1);
  transition: all 0.3s ease-in-out;
}

#customers-testimonials .owl-item.active.center .item {
  opacity: 0.8;
  transform: scale3d(1, 1, 1);
}

.owl-carousel .owl-item img {
  transform-style: preserve-3d;
  max-width: 170px;
  margin: 0 auto 17px;
  border-radius: 50%;
}

#customers-testimonials.owl-carousel .owl-dots .owl-dot.active span,
#customers-testimonials.owl-carousel .owl-dots .owl-dot:hover span {
  background: #6af1b1;
  transform: translate3d(0px, -50%, 0px) scale(0.7);
}

#customers-testimonials.owl-carousel .owl-dots {
  display: inline-block;
  width: 100%;
  text-align: center;
}

#customers-testimonials.owl-carousel .owl-dots .owl-dot {
  display: inline-block;
}

#customers-testimonials.owl-carousel .owl-dots .owl-dot span {
  background: #6af1b1;
  display: inline-block;
  height: 20px;
  margin: 0 2px 5px;
  transform: translate3d(0px, -50%, 0px) scale(0.3);
  transform-origin: 50% 50% 0;
  transition: all 250ms ease-out 0s;
  width: 20px;
}

/*-- testimonial-section ends --*/

/*-- our impact section starts --*/
.our-impact-section {
  height: auto;
  background: #e6fdef;
  padding: 6rem 3rem 6rem 3rem;
}

.ourimpact-heading-container {
  display: flex;
  justify-content: left;
  align-items: center;
}

.ourimpact-heading-child h1 {
  font-size: 3rem;
  padding: 0 0 2rem 0;
  font-family: sans-serif;
}

.ourimpact-boxes-container {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
}

.ourimpact-boxes-child {
  width: 450px;
}

.ourimpact-boxes-child iframe {
  width: 100%;
  height: 280px;
}

.ourimpact-boxes-child-container {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
}

.ourimpact-boxes-child-container-1 {
  margin: 15px 0 0 0;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
}

.ourimpact-boxes-child-container-green,
.ourimpact-boxes-child-container-1-green {
  width: 200px;
  padding: 25px 20px 25px 20px;
  border-radius: 18px;
  border: 1px solid #000000;
  background: #a1e6c8;
  box-shadow: 3px 3px 0px 1px #363434;
}

.ourimpact-boxes-child-container-green p,
.ourimpact-boxes-child-container-1-green p {
  text-transform: uppercase;
  color: darkgreen;
  font-weight: bold;
  font-size: 20px;
}

#volunteers,
#distributed,
#winter-kits,
#donors {
  font-weight: 400;
  padding: 5px 0 0 0;
}

/*-- our impact section ends --*/

/*-- events-gallery-blog section starts --*/
.events-gallery-blog {
  height: auto;
  padding: 6rem 0 6rem 0;
  position: relative;
}

.events-gallery-blog::after {
  content: "";
  position: absolute;
  right: 0;
  left: -50%;
  top: 100%;
  z-index: 10;
  display: block;
  height: 40px;
  background-size: 40px 100%;
  background-image: linear-gradient(135deg, #ffffff 25%, transparent 25%),
    linear-gradient(225deg, #ffffff 25%, transparent 25%);
  background-position: 0 0;
}

.container-egb {
  display: flex;
  justify-content: space-evenly;
  align-items: baseline;
  flex-wrap: wrap;
  padding: 20px;
}

.child-egb {
  margin: 20px 0 0 0;
  width: 380px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  border: 1px solid #000000;
  transition: 0.8s all ease-in-out;
}

.child-egb img {
  width: 100%;
  height: auto;
  border-radius: 20px;
  transition: 0.6s all ease-in-out;
  filter: blur(5px) grayscale(100%);
}

.child-egb h2 {
  position: absolute;
  font-size: 3rem;
  color: #61c277;
  background: #e6fdef;
  font-family: sans-serif;
  font-weight: 700;
  padding: 2.5rem 5rem;
  border: 1px solid #fff;
  border-radius: 20px;
}

.child-egb:hover {
  cursor: pointer;
  transform: translateY(-5%);
  box-shadow: 2px 2px 5px 0px #000000;
  border: 1px solid #000000;
}

.child-egb:hover img {
  filter: blur(0) grayscale(0);
  transform: scale(1.1);
}

.child-egb:hover h2 {
  color: #61c27873;
  background: #e6fdef00;
  border-color: #ffffff4f;
}

/*-- events-gallery-blog section ends --*/

/* /////////// making it responsive ///////////  */

@media screen and (max-width: 1199px) {
  .about-content h1 {
    font-size: 2.5rem;
  }

  .about-img img {
    width: 90%;
  }
}

@media (max-width: 1000px) {
  .cards {
    height: auto;
    flex-wrap: wrap;
  }

  .card:hover {
    transform: scale(1);
  }

  .card {
    height: 60vh;
    width: auto;
  }

  .card-image {
    height: auto;
  }

  .card-content {
    margin-right: 0;
  }

  .about-content h1 {
    font-size: 2rem;
  }

  .about-img img {
    width: 100%;
  }

  .ourimpact-boxes-child iframe {
    margin: 70px 0 0 0;
  }

  .about:hover .headingMain,
  .about:hover .rightAlignHeading {
    transform: none;
  }
}

@media screen and (max-width: 800px) {
  .slider-section {
    padding: 50px 0 0 0;
  }

  #slider {
    margin: 48px 0 0 0;
  }

  .ourimpact-boxes-child iframe {
    margin: 40px 0 0 0;
  }

  #customers-testimonials .item {
    padding: 20px 10px 20px 10px;
  }

  .card {
    margin: 0 0 30px 0;
  }

  #section-separator-2::before,
  #section-separator-1::before,
  #section-separator::before {
    display: none;
  }
}

@media (max-width: 576px) {
  #slider {
    width: 100%;
  }

  #dots-con {
    display: none;
  }
}

@media (max-width: 500px) {
  .slider-section {
    padding: 50px 0 0 0;
  }

  #slider {
    margin: 48px 0 0 0;
  }

  .card {
    width: 90%;
  }

  .about {
    flex-direction: column;
    padding: 0 26px;
  }

  .about-img {
    width: 90%;
    margin: 8% 0 0 5%;
  }

  .about-content {
    width: 100%;
  }

  .about-content .rightAlign {
    text-align: center;
  }

  .about:nth-child(2) {
    flex-direction: column-reverse;
  }

  .about-content h1 {
    font-size: 1.7em;
  }

  .about-content p {
    font-size: 1.1em;
    letter-spacing: 0.5px;
    /* padding: 10px; */
    text-align: center;
  }

  .about-img {
    display: flex;
    justify-content: center;
  }

  .container h1 {
    font-size: 1.5rem;
    margin: 0;
  }

  #customers-testimonials .item {
    padding: 40px 10px 40px 10px;
  }

  .our-impact-section {
    padding: 40px 20px 40px 20px;
  }

  .ourimpact-heading-container {
    justify-content: center;
  }

  .ourimpact-heading-child h1 {
    font-size: 1.7rem;
  }

  .ourimpact-boxes-child iframe {
    margin: 40px 0 0 0;
  }

  .ourimpact-boxes-child-container-1 {
    margin: 0;
  }

  .ourimpact-boxes-child-container-green,
  .ourimpact-boxes-child-container-1-green {
    margin: 10px 0 10px 0;
    width: 250px;
    text-align: center;
    padding: 40px 20px 40px 20px;
    border-radius: 10px;
  }

  .ourimpact-boxes-child-container-green p,
  .ourimpact-boxes-child-container-1-green p {
    font-size: 16px;
  }

  .events-gallery-blog {
    padding: 2rem 0 2rem 0;
  }

  .child-egb {
    width: 320px;
    margin: 40px 0 0 0;
  }

  .child-egb h2 {
    font-size: 1rem;
    border-radius: 10px;
    padding: 1rem 2rem;
  }

  #section-separator-2::before,
  #section-separator-1::before,
  #section-separator::before {
    display: none;
  }
}

@media screen and (max-width: 400px) {
  .about:hover .headingMain {
    text-decoration: underline wavy 1.5px;
  }
}
